#ifndef LCF_SEQSUMCAT_H_
#define LCF_SEQSUMCAT_H_
#include "tensorOperate.h"

class SeqSumCatLayer : public TensorOperate
{
    public:
        SeqSumCatLayer();
        SeqSumCatLayer(int ifType, int iID, int iMaxSeqNum, DevicesBatchDisptach *iDevicesBatchDisptach);
        virtual ~SeqSumCatLayer();
        void SetLayerConfig(int ifType, int iID, int iMaxSeqNum, DevicesBatchDisptach *iDevicesBatchDisptach);
        void ComputeAndCreateOutYInDTensorInfo();
        void CreateParaAndInstance();
        void CompuateOutY(int devID, int seqNum);
        void CompuateOutD(int devID, int seqNum);
        void ComputerYMemRealease(int devID);
        void ComputerDMemRealease(int devID);
    private:
        void SetChildLayerMomeryPointInitStatus();
};

#endif